# $Id: perl-GSSAPI.spec 4664 2006-08-16 15:35:54Z dag $
# Authority: dag

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name GSSAPI

Summary: Perl extension providing access to the GSSAPIv2 library
Name: perl-GSSAPI
Version: 0.23
Release: 1.rf
License: GPL or Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/GSSAPI/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/authors/id/A/AG/AGROLMS/GSSAPI-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl, perl(Test::Pod) >= 1.00, perl(Test::Pod::Coverage) >= 1.04
BuildRequires: krb5-devel

%description
This module gives access to the routines of the GSSAPI library, as
described in rfc2743 and rfc2744 and implemented by the Kerberos-1.2
distribution from MIT.

%prep
%setup -n GSSAPI-%{version}
%{__chmod} a-x examples/*.pl

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README examples/
%doc %{_mandir}/man3/*.3*
%{perl_vendorarch}/GSSAPI.pm
%{perl_vendorarch}/GSSAPI/
%{perl_vendorarch}/auto/GSSAPI/

%changelog
* Wed Aug 16 2006 Dag Wieers <dag@wieers.com> - 0.23-1 - 4664/dag
- Updated to release 0.23.

* Mon May 29 2006 Dag Wieers <dag@wieers.com> - 0.21-1
- Initial package. (using DAR)
